ModBalancerT< D > Class Template Reference
Inheritance diagram for ModBalancerT< D >:
[legend]
Collaboration diagram for ModBalancerT< D >:
[legend]

## Public Types

typedef OpenMesh::Decimater::ModQuadricT< D > | BaseModQ
typedef ModBalancerT< D > | Self
typedef OpenMesh::Decimater::ModHandleT< Self > | Handle
typedef OpenMesh::Decimater::ModBaseT< D > | Base
typedef Base::Mesh | Mesh
typedef Base::CollapseInfo | CollapseInfo
typedef size_t | level_t
Public Types inherited from OpenMesh::Decimater::ModQuadricT< MeshT >
typedef ModQuadricT< MeshT > | Self
typedef OpenMesh::Decimater::ModHandleT< Self > | Handle
typedef OpenMesh::Decimater::ModBaseT< MeshT > | Base
typedef Base::Mesh | Mesh
typedef Base::CollapseInfo | CollapseInfo
Public Types inherited from OpenMesh::Decimater::ModBaseT< MeshT >
enum | { ILLEGAL_COLLAPSE = -1, LEGAL_COLLAPSE = 0 }
typedef MeshT | Mesh
typedef CollapseInfoT< MeshT > | CollapseInfo

## Public Member Functions

virtual const std::string & | name () const
| Set module's name (using DECIMATER_MODNAME macro)
| ModBalancerT (D &_dec)
| Constructor.
virtual | ~ModBalancerT ()
| Destructor.
void | initialize (void)
| Initalize the module and prepare the mesh for decimation.
virtual float | collapse_priority (const CollapseInfo &_ci)
void | postprocess_collapse (const CollapseInfo &_ci)
| post-process halfedge collapse (accumulate quadrics)
level_t | max_level (void) const
level_t | bits_for_roots (void) const
Public Member Functions inherited from OpenMesh::Decimater::ModQuadricT< MeshT >
| ModQuadricT (MeshT &_mesh)
| Constructor. More...
virtual | ~ModQuadricT ()
| Destructor.
virtual float | collapse_priority (const CollapseInfo &_ci)
| Compute collapse priority based on error quadrics. More...
virtual void | postprocess_collapse (const CollapseInfo &_ci)
| Post-process halfedge collapse (accumulate quadrics)
void | set_error_tolerance_factor (double _factor)
| set the percentage of maximum quadric error
void | set_max_err (double _err, bool _binary=true)
| Set maximum quadric error constraint and enable binary mode. More...
void | unset_max_err (void)
| Unset maximum quadric error constraint and restore non-binary mode. More...
double | max_err () const
| Return value of max. allowed error.
Public Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
virtual | ~ModBaseT ()
| Virtual desctructor.
bool | is_binary (void) const
| Returns true if criteria returns a binary value.
void | set_binary (bool _b)
| Set whether module is binary or not.
virtual void | preprocess_collapse (const CollapseInfoT< MeshT > &)
| Before _from_vh has been collapsed into _to_vh, this method will be called.

## Static Public Member Functions

static level_t | calc_bits_for_roots (size_t _n_vertices)

## Additional Inherited Members

Protected Member Functions inherited from OpenMesh::Decimater::ModBaseT< MeshT >
| ModBaseT (MeshT &_mesh, bool _is_binary)
| Default constructor. More...
MeshT & | mesh ()
| Access the mesh associated with the decimater.
Protected Attributes inherited from OpenMesh::Decimater::ModBaseT< MeshT >
double | error_tolerance_factor_

The documentation for this class was generated from the following file:

- OpenMesh/Apps/VDProgMesh/mkbalancedpm/mkbalancedpm.cc